# Filename: gui_set_values.py
# Purpose: Preloads panel key values with input dictionary values.
# Returns: Void.

from maptek import vulcan_gui

pan = vulcan_gui.panel("Basic Panel")
pan.checkbox(tag='checkbox_1', prompt='Checkbox one', checked=False)
pan.checkbox(tag='checkbox_2', prompt='Checkbox two', checked=False)
pan.checkbox(tag='checkbox_3', prompt='Checkbox three', checked=False)

pan.set_values({'checkbox_2': 1, 
                'checkbox_3': 0, 
                'checkbox_1': 0
               })

pan.display()